libcrypto++ (5.6.4-9) unstable; urgency=high

  * Fix CVE-2019-14318: timing side channel in ECDSA signature generation
    (closes: #934326).
  * Update Standards-Version to 4.4.0:
    - change package priority to optional.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 11 Aug 2019 19:13:44 +0000

libcrypto++ (5.6.4-8) unstable; urgency=medium

  * Install all headers (closes: #866100).
  * Update watch file (closes: #862876).
  * Update Standards-Version to 4.0.0 and debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 27 Jun 2017 19:04:20 +0000

libcrypto++ (5.6.4-7) unstable; urgency=high

  * Backport security fix for out-of-bounds read in zinflate.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 05 Jun 2017 06:55:28 +0000

libcrypto++ (5.6.4-6) unstable; urgency=medium

  * Backport additional ASN.1 validations.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 25 Dec 2016 08:46:52 +0000

libcrypto++ (5.6.4-5) unstable; urgency=high

  * Fix CVE-2016-9939: possible DoS in ASN.1 decoders (closes: #848009).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 23 Dec 2016 20:54:36 +0000

libcrypto++ (5.6.4-4) unstable; urgency=medium

  * Apply upstream fix for Integer class ABI break (closes: #845460).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 02 Dec 2016 17:00:47 +0000

libcrypto++ (5.6.4-3) unstable; urgency=medium

  * Backport upstream fix for potential zeroizer removal.
  * Backport upstream fix for Hurd build.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 01 Nov 2016 11:27:35 +0000

libcrypto++ (5.6.4-2) unstable; urgency=low

  * Add missed headers to libcrypto++-dev (closes: #841443).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 23 Oct 2016 16:46:44 +0200

libcrypto++ (5.6.4-1) unstable; urgency=low

  * New upstream release.
  * Remove cryptest-data-files-location.diff as applied upstream.
  * Remove backported patches as this release contains those.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 08 Oct 2016 16:27:30 +0000

libcrypto++ (5.6.3-8) unstable; urgency=high

  * Fix CVE-2016-7420 with compiling -DNDEBUG to prevent sensitive information
    leakage to core dumps when an assert() happens.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 16 Sep 2016 15:42:32 +0000

libcrypto++ (5.6.3-7) unstable; urgency=low

  * Prevent binary testing when only architecture independent packages are
    built (closes: #821176).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 15 Jul 2016 20:11:19 +0000

libcrypto++ (5.6.3-6) unstable; urgency=high

  * Backport last bit of CVE-2016-3995 fix, the Rijndael timing attack
    counter measure.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 13 Apr 2016 16:40:13 +0000

libcrypto++ (5.6.3-5) unstable; urgency=medium

  * Fix the Rijndael timing attack counter measure.
  * Fix FTBFS on M68k machines.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 10 Apr 2016 09:14:31 +0000

libcrypto++ (5.6.3-4) unstable; urgency=low

  * Start the transition with upload to Sid.
  * Builds on x32 (closes: #813659).
  * Update Standards-Version to 3.9.7 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 Apr 2016 11:33:16 +0000

libcrypto++ (5.6.3-3) experimental; urgency=low

  * Backport upstream fixes:
    - fixed hang on ARM platforms in Integer::DivideThreeWordsByTwo,
    - work around issue on ARMEL in MultiplyTop and GCC,
    - increase range for GCC workaround on ARMEL,
    - fixed SecBlock append.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 09 Jan 2016 09:15:35 +0100

libcrypto++ (5.6.3-2) experimental; urgency=low

  * Only fix -doc package HTML path if it's built.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 21 Nov 2015 13:27:54 +0100

libcrypto++ (5.6.3-1) experimental; urgency=low

  * New major upstream release (closes: #739157).
  * Keep rebuildable.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 21 Nov 2015 09:25:03 +0100

libcrypto++ (5.6.3~rc6-1) experimental; urgency=low

  * New major upstream release candidate version.
  * Add CRYPTOPP_NO_UNALIGNED_DATA_ACCESS preprocessor flag to CXXFLAGS .
  * Add rdrand.cpp to library sources to compile.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 29 Oct 2015 19:44:06 +0100

libcrypto++ (5.6.3~rc4-1) experimental; urgency=low

  * New major upstream release candidate version.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 21 Sep 2015 20:10:14 +0200

libcrypto++ (5.6.3~rc3-1) experimental; urgency=low

  * New major upstream release candidate version.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 16 Sep 2015 19:47:57 +0200

libcrypto++ (5.6.3~rc2-2) experimental; urgency=low

  * Make co-installable with older versions.
  * Run doxygen only in the indep target.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 14 Sep 2015 20:06:20 +0200

libcrypto++ (5.6.3~rc2-1) experimental; urgency=low

  * New major upstream release release candidate version.
  * ABI transition from libcrypto++9v5 to libcrypto++6 .
  * Rewrite packaging and copyright.
  * Build with CRYPTOPP_INIT_PRIORITY=250 .
  * Symlink jquery.js to the packaged one.
  * Add watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 13 Sep 2015 15:55:30 +0200

libcrypto++ (5.6.1-9) unstable; urgency=low

  * Compile integer.cpp with -O1 on armel to prevent FTBFS (closes: #796297).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 12 Sep 2015 10:17:29 +0200

libcrypto++ (5.6.1-8) unstable; urgency=medium

  * Rename library to libcrypto++9v5 and the debug one to libcrypto++9-dbg
    for GCC 5 transition.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 12 Aug 2015 18:43:04 +0200

libcrypto++ (5.6.1-7) unstable; urgency=high

  * Fix CVE-2015-2141.
  * Update Standards-Version to 3.9.6 and debhelper level to 9 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 28 Jun 2015 12:34:20 +0000

libcrypto++ (5.6.1-6) unstable; urgency=low

  * Fix build failure with gcc-4.7 (closes: #668700) by adding missing 'this'
    references. Thanks to Matthias Klose <doko@debian.org> .
  * Update packaging bits.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 14 Apr 2012 20:21:41 +0200

libcrypto++ (5.6.1-5) unstable; urgency=low

  * New maintainer (closes: #628935).
  * salsa.patch from upstream to fix testcase FTBFS (closes: #628298).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 04 Jun 2011 20:15:34 +0200

libcrypto++ (5.6.1-4) unstable; urgency=low

  * Fix Pananma so that it works on armel, thanks to Wei Dai.
    (Closes: #619856)

 -- Jens Peter Secher <jps@debian.org>  Mon, 25 Apr 2011 21:13:50 +0200

libcrypto++ (5.6.1-3) unstable; urgency=low

  * Make debug packages conflict with each other because they all include
    usr/bin/cryptest.
    (Closes: #619527)
  * Removed obsolete README.source now that the package is in dpkg format
    3.0 (quilt).

 -- Jens Peter Secher <jps@debian.org>  Sun, 27 Mar 2011 23:56:51 +0200

libcrypto++ (5.6.1-2) unstable; urgency=low

  * Build for Wheezy, no change.
    (Closes: #599639)

 -- Jens Peter Secher <jps@debian.org>  Tue, 22 Mar 2011 04:51:04 +0100

libcrypto++ (5.6.1-1) experimental; urgency=low

  * New release, which changes the API of the library, so bumping the SO
    version to 9.
  * Patch for sha256 assembly is now included upstream.
  * Bumped Standards-Version to 3.9.1, no change.

 -- Jens Peter Secher <jps@debian.org>  Tue, 10 Aug 2010 21:26:54 +0200

libcrypto++ (5.6.0-6) unstable; urgency=low

  * Fix sha256 assembly problem with signed address comparison, thanks to
    Ken Raeburn.
    (Closes: #585930)
  * Converted to dpkg-source format 3.0 (quilt).
  * Use mercurial-buildpackage for repository maintenance, so old
    repository does not exist any more.
  * Bumped Standards-Version to 3.8.4, no change.
  * Use misc:Depends debhelper macro for all packages.
  * Introduced a realclean target in debian/rules for cleaning up an
    interrupted build.
  * Build-depend on a proper quilt-handling version of dpkg-source instead
    of quilt itself.

 -- Jens Peter Secher <jps@debian.org>  Wed, 16 Jun 2010 23:50:50 +0200

libcrypto++ (5.6.0-5) unstable; urgency=low

  * Fix build failure on Hurd by using POSIX threads, thanks to Samuel
    Thibault.
    (Closes: #550786)

 -- Jens Peter Secher <jps@debian.org>  Fri, 16 Oct 2009 20:06:13 +0200

libcrypto++ (5.6.0-4) unstable; urgency=low

  * Inlcude missing testvector for AES, thanks to Nelson A. de Oliveira.
    (Closes: #549150)
  * Do not include .la file per request from Kartik Mistry.
  
 -- Jens Peter Secher <jps@debian.org>  Thu, 01 Oct 2009 22:08:44 +0200

libcrypto++ (5.6.0-3) unstable; urgency=low

  * Depend on generic automake package (at the time of writing version 11).
    (Closes: #543028)
  * Update the various package descriptions.
    (Closes: #531814)
  * Upgrate to debhelper version 7, using dh_prep instead of dh_clean -k.
  * Updated Standards-Version to 3.8.3, but retaining GNU style variables
    because they are passed to automake scripts.  Also correct
    "hppa-linux" to "hppa-linux-gnu".

 -- Jens Peter Secher <jps@debian.org>  Sat, 22 Aug 2009 19:55:04 +0200

libcrypto++ (5.6.0-2) unstable; urgency=low

  * Added a package with debug symbols.
  * Drop the DCRYPTOPP_DISABLE_ASM flag to avoid segfault in amule on
    i386.
    (Closes: #525071)

 -- Jens Peter Secher <jps@debian.org>  Tue, 28 Apr 2009 23:23:21 +0200

libcrypto++ (5.6.0-1) unstable; urgency=low

  * New upstream version.
    + Includes incompatible changes, so bumping the shared library number to 8
      (libtool version info 8:0:0).
    + The test data is now in its own directory, so this TestData directory
      is handled in debian/rules the same way that TestVectors is.
  * Link with pthread to avoid warning from dpkg-shlibdeps.
  * Avoid running the test suite twice by giving it its own target: check.

 -- Jens Peter Secher <jps@debian.org>  Tue, 07 Apr 2009 02:52:06 +0200

libcrypto++ (5.5.2-3) unstable; urgency=low

  * Use quilt instead of dpatch for patches, and describe how to use
    quilt in Debian.source (thanks to Russ Allbery).
  * Added a Vcs-Hg control filed to indicate the location of the public
    repository.
  * Bumped Standards-Version to 3.8.1.

 -- Jens Peter Secher <jps@debian.org>  Tue, 07 Apr 2009 00:51:49 +0200

libcrypto++ (5.5.2-2) unstable; urgency=low

  * Produce a pkg-config file for the development package.
    (Closes: #473090)
  * Use doc-bas section Programming.

 -- Jens Peter Secher <jps@debian.org>  Sat, 29 Mar 2008 17:37:32 +0100

libcrypto++ (5.5.2-1) unstable; urgency=low

  * New upstream version.
  * Increased SONAME from 6 to 7 because of API changes.
  * Fixed GCC 4.3 header include problem.
    (Closes: #455627)
  * Created symlinks from libcryptopp* to libcrypto++*, as requested in
    bug #448766.
  * Bumped debhelper version to 5.
  * Bumped Standards-Version to 3.7.3.

 -- Jens Peter Secher <jps@debian.org>  Tue, 11 Dec 2007 19:06:15 +0100

libcrypto++ (5.5-5) unstable; urgency=low

  * Create a symlink to /usr/include/cryptopp -> crypto++ to aid
    portability of client code.
    (Closes: #448766)
  * Bumped automake to 1.10 instead of 1.9 .
  
 -- Jens Peter Secher <jps@debian.org>  Sun, 11 Nov 2007 21:51:53 +0100

libcrypto++ (5.5-4) unstable; urgency=low

  * Use POSIX threads on GNU/kFreeBSD, thanks to Petr Salinger.
    (Closes: #433672)

 -- Jens Peter Secher <jps@debian.org>  Sun, 19 Aug 2007 10:02:37 +0200

libcrypto++ (5.5-3) unstable; urgency=high

  * Do not compile with -msse2 to avoid crash on Pentium II, thanks
    to Adeodato Simó.  Hence the high urgency.
    (Closes: #428150)
  * Use ${binary:Version} instead of ${Source-Version} to facilitate
    binNMU.
  * Do not ignore 'make clean' errors.
  
 -- Jens Peter Secher <jps@debian.org>  Sat, 30 Jun 2007 16:39:14 +0200

libcrypto++ (5.5-2) unstable; urgency=low

  * Use CURDIR throughout debian/rules to avoid buildd failures.

 -- Jens Peter Secher <jps@debian.org>  Tue, 29 May 2007 20:29:08 +0200

libcrypto++ (5.5-1) unstable; urgency=low

  * New upstream release.
  * Bumped SO name to 6.0.0 because of new namespaces and removed algorithms.
  * Updated man page and build scripts.
  * Only use header files to generate documentation because Doxygen
    otherwise chokes.

 -- Jens Peter Secher <jps@debian.org>  Sat, 12 May 2007 12:50:30 +0200

libcrypto++ (5.4-1) experimental; urgency=low

  * New upstream release.  
  * Removed all patches that have now been included upstream.
  * Now that things are stable with both Crypto++ and GCC, the shared
    library has a proper SO name.

 -- Jens Peter Secher <jps@debian.org>  Fri, 15 Dec 2006 23:32:46 +0100

libcrypto++ (5.2.1c2a-3) unstable; urgency=low

  * Patch source so that it compiles with GCC 4.1 .  More specifically,
    avoid mixing implicit calls to base classes and free-standing
    functions.
    (Closes: #356170)
  * Use LDFLAGS=-pthread to fix linking errors.

 -- Jens Peter Secher <jps@debian.org>  Thu, 16 Mar 2006 23:08:48 +0100

libcrypto++ (5.2.1c2a-2) unstable; urgency=low

  * Build-depend on a version of g++ that fixes PR c++/21123 which
    resulted in internal compiler errors on m68k, arm, and hppa
    (Closes: #343003)
  * Include an override to stop Lintian complaining about the name of the
    shared library.
  * Removed link in main headline of Doxygen generated documentaion since
    Doxygen insists on escaping it.

 -- Jens Peter Secher <jps@debian.org>  Tue, 13 Dec 2005 20:40:25 +0100

libcrypto++ (5.2.1c2a-1) unstable; urgency=low

  * Rebuild and name change due to libstdc++6 mt-allocator transition.
    (Closes: #339201)

 -- Jens Peter Secher <jps@debian.org>  Sat, 19 Nov 2005 23:56:27 +0100

libcrypto++ (5.2.1c2-8) unstable; urgency=low

  * Force autoreconf to use automake1.9 so that it is possible to have
    several automake versions installed.

 -- Jens Peter Secher <jps@debian.org>  Sat,  1 Oct 2005 16:11:18 +0200

libcrypto++ (5.2.1c2-7) unstable; urgency=low

  * Use the upstream-provided way of doing manual template instantiation
    on architectures where it is necessary to use GCC3.4.

 -- Jens Peter Secher <jps@debian.org>  Mon, 26 Sep 2005 19:08:30 +0200

libcrypto++ (5.2.1c2-6) unstable; urgency=low

  * Circumvent GCC4 internal compiler error on m68k, arm, and hppa by
    using GCC3.4 on those architectures, thanks to Adeodato Simó.
    (Closes: #328975)

 -- Jens Peter Secher <jps@debian.org>  Tue, 20 Sep 2005 20:46:29 +0200

libcrypto++ (5.2.1c2-5) unstable; urgency=low

  * Fixed the debian/rules so that the binary-arch target can be built in
    isolation.
    (Closes: #323161)
  * Added a doc-base file for the libcrypto++-doc package.

 -- Jens Peter Secher <jps@debian.org>  Mon, 15 Aug 2005 22:18:05 +0200

libcrypto++ (5.2.1c2-4) unstable; urgency=low

  * Really take care of endianess this time by letting config.status
    manipulate config.h .
  * Split the documentation into a libcrypto++-doc package.

 -- Jens Peter Secher <jps@debian.org>  Wed, 10 Aug 2005 23:47:51 +0200

libcrypto++ (5.2.1c2-3) unstable; urgency=low

  * Take care of architecture endianess by using AC_C_BIGENDIAN in
    configure.ac .  Should fix building for s390 and mipsel.

 -- Jens Peter Secher <jps@debian.org>  Mon,  8 Aug 2005 21:25:50 +0200

libcrypto++ (5.2.1c2-2) unstable; urgency=low

  * Stopped including autotools generated scripts, and instead
    build-depends on automaken to avoid strange problems with libtool that
    causes problems for the build daemons.
  * Fix cryptest so that it always can find its data files, and put it in
    the libcrypto++-utils package again.

 -- Jens Peter Secher <jps@debian.org>  Sat,  6 Aug 2005 16:34:56 +0200

libcrypto++ (5.2.1c2-1) unstable; urgency=low

  * New maintainer.
    (Closes: #288433)
  * Complete re-autotoolising of the package to retain pristine upstream
    source and to only build-depend on libtool.
  * The crypto++-util package has been merged into the crypto++-dev
    package and is thus dead.
  * Applied patches from Ben Hutchings to avoid compile warnings
    (Closes: #286114)
  * Circumvented anonymous-enum and template-instantiations problems with
    GCC 4.  Thanks to Florian Weimer and Jozef Matula for guiding me in
    the right direction.
    (Closes: #318518)
  * Started using dpatch since some of the above patches probably could
    make it upstream.
  
 -- Jens Peter Secher <jps@debian.org>  Sun, 31 Jul 2005 02:07:29 +0200

libcrypto++ (5.2.1a-1) unstable; urgency=high

  * Urgency set to high because lastest upload was unclean
  * Rename libcrypto++-5.2.1.orig.tar.gz in  libcrypto++-5.2.1a.orig.tar.gz
  
 -- Pierre Machard <pmachard@debian.org>  Fri, 27 Aug 2004 12:35:05 +0200

libcrypto++ (5.2.1-2) unstable; urgency=high

  * Added TestVectors to example dir
  * Add symlink from cryptopp_config.h to config.h (closes: #244980)
  * Hack configure.in to fit with new upstream version. This hack is
    far from being complete and quite uggly.
  * Update manpage
  * Automaticaly update config.{sub,guess}

 -- Pierre Machard <pmachard@debian.org>  Sat, 21 Aug 2004 08:59:37 +0200

libcrypto++ (5.2.1-1) unstable; urgency=high

  * Adding myself as package uploaders
  * Urgency set to high because of #244892
  * New upstream release (closes: #244892, #247922, #245921, #261074)

 -- Pierre Machard <pmachard@debian.org>  Fri, 20 Aug 2004 05:22:28 +0200

libcrypto++ (5.1-5) unstable; urgency=low

  * Remove the final arch specific (rather than feature specifc) tests in
    crypto_config.h,
  Closes: #238220
  * Add symlinks libcrypto++.{a,la,so} pointing to
    libcrypto++5.1.{a,la,so} so that users can act like the ABI of this
    library doesn't change with every major release,
  Closes: #241148

 -- Stephen Zander <gibreel@debian.org>  Mon, 19 Apr 2004 18:10:28 -0700

libcrypto++ (5.1-4) unstable; urgency=low

  * Build with -fno-strict-aliasing.  This should fix the segfaults on
    non-i386 architectures.
  * Add -ffunction-sections for hppa build,
  Closes: #238220

 -- Stephen Zander <gibreel@debian.org>  Fri, 19 Mar 2004 02:06:08 -0800

libcrypto++ (5.1-3) unstable; urgency=low

  * Move datatest.cpp from libcrypto++5.1.so to the cryptest source to
    really fix the GlobalRNG bug,
  Closes: #236539

 -- Stephen Zander <gibreel@debian.org>  Sun, 14 Mar 2004 20:23:16 -0800

libcrypto++ (5.1-2) unstable; urgency=low

  * Remove validate.h from the libcrypto++5.1.so headers; it should only
    be used by cryptest,
  Closes: #236539
  * Include test.cpp as an example of how to invoke the various Crypto++
    routines,
  Closes: #236844
  * Allow cryptest to look for validation files in the current directory
    as well as /usr/share/crypto++,
  Closes: #236968

 -- Stephen Zander <gibreel@debian.org>  Sat, 13 Mar 2004 00:59:54 -0800

libcrypto++ (5.1-1) unstable; urgency=low

  * Drop the gcc-3.2 dependency as gcc-3.2 should be everywhere by now.  This
    also fixes the build failure on ARM.
  * Rename the library from libcrypto++.so.5 to libcrypto++5.1.so.0 as
    upstream does not maintain binary compatibility and having the 5.1
    package provide libcrypto++.so.6 strikes me as too confusing.
  * New upstream version,
  Closes: #213953
  * Include full paths to data files used by the cryptest validation
    routines,
  Closes: #198696
  * Add MD4 to the output of 'cryptest b' and segregate the hashing
    algorithms from the encryption algorithms,
  Closes: #198698
  * Include Doxygen generated documents in the libcrypto++-dev package,
  Closes: #211725

 -- Stephen Zander <gibreel@debian.org>  Tue, 17 Feb 2004 12:41:29 -0800

libcrypto++ (5.0-3) unstable; urgency=low

  * Add generic 64bit arch support, rather than hard-coded alpha supoprt,
  Closes: #181457

 -- Stephen Zander <gibreel@debian.org>  Sat, 15 Mar 2003 17:47:27 -0800

libcrypto++ (5.0-2) unstable; urgency=low

  * Convert the gcc-3.2 build depends to a g++-3.2, they way it should be
  Closes: #175085
  * Clean up cryptlib.h slightly so it's not so noisy under -Wall,
  Closes: #175180

 -- Stephen Zander <gibreel@debian.org>  Tue,  7 Jan 2003 01:24:07 -0800

libcrypto++ (5.0-1) unstable; urgency=low

  * Package moved to main.
  * New upstream version,
  Closes: #174217
  * All files now have appropriate copyright entries and debian/copyright
    accurately reflects the contents of this package,
  Closes: #153926
  * cryptest now successfully runs to completion,
  Closes: #153929
  * Fix a typo in the cryptest manpage,
  Closes: #153932

 -- Stephen Zander <gibreel@debian.org>  Fri, 27 Dec 2002 11:23:06 -0800

libcrypto++ (4.2-1) unstable; urgency=low

  * New package,
  Closes: #79131

 -- Stephen Zander <gibreel@debian.org>  Fri,  5 Jul 2002 09:45:26 -0700

